org.apache.ignite.internal.processors.hadoop

## Class HadoopClasspathUtils.SearchDirectory

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopClasspathUtils.SearchDirectory

Enclosing class:
  HadoopClasspathUtils

    public static class HadoopClasspathUtils.SearchDirectory
    extends Object

Simple pair-like structure to hold directory name and a mask assigned to it.

### Method Summary

Methods
`File[]` `files()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### files

    public File[] files()
                 throws IOException

Returns:
  Child files.
Throws:
  `IOException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017